package mobvista.dmp.datasource.event_tag;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class EventTypeUtils implements Serializable {
	public  List<String> shopping_list = new ArrayList<String>();
	public List<String> purchase_list = new ArrayList<String>();
	public  List<String> other_list = new ArrayList<String>();
	public EventTypeUtils() {
		loadShopping_list();
		loadPurchase_list();
		loadOther_list();
	}
	public void loadShopping_list() {
		//and scope='custom' and event_type in ('Add To Wish','Add to Cart')
		shopping_list.add("Add To Wish");
		shopping_list.add("Add to Cart");
	}
	
	public void loadPurchase_list() {
		//and scope='custom' and event_type in ('Add To Wish','Add to Cart')
		purchase_list.add("Purchase");
	}
	
	public void loadOther_list() {
		other_list.add("Game Level");
		other_list.add("Game Tutorial");
		other_list.add("Login App");
		other_list.add("Open App");
		other_list.add("Register");
		other_list.add("Search Info");
		other_list.add("View Info");
		other_list.add("Other");
		other_list.add("Close App");
		other_list.add("Game User Grade");
		other_list.add("Share Info");
		other_list.add("Update App");
		/******add shooping to other when no categories**/
		other_list.add("Add To Wish");
		other_list.add("Add to Cart");
	}

}
